package com.mideaepay.demo.service.impl.b2c;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.mideaepay.demo.service.AbstractGateWayService;
import com.mideaepay.demo.service.ServiceAnnotation;
import com.mideaepay.demo.utils.Constant.Service;

/**
 * 特别声明：demo代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写，并非一定要使用该代码。该代码仅供参考！！！
 * @desc <b2c-退款-查询>
 * @author kanbo  
 * @date 2020-9-6 17:01:16
 */
@ServiceAnnotation(service = Service.TRADE_REFUND_QUERY)
public class TradeRefundQueryService extends AbstractGateWayService {

    @Override
    protected void setCustomConfigPath() {
        customConfigPath = "config/b2c/trade_refund_query.properties";
    }

    @Override
    protected void initBusinessRequest(Map<String, String> params, HttpServletRequest request) {
        params.put("terminal_type", "ITG");
        params.put("out_refund_no", customProperties.getProperty("out_refund_no"));
        
    }
    
}
