package com.mideaepay.demo.service.impl.data;

import com.mideaepay.demo.service.AbstractGateWayService;
import com.mideaepay.demo.service.ServiceAnnotation;
import com.mideaepay.demo.utils.Constant;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 特别声明：demo代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写，并非一定要使用该代码。该代码仅供参考！！！
 * 商户账户零点余额查询
 *
 * @author harvey
 * @date 2020/12/2
 * @email husy7@midea.com
 */
@ServiceAnnotation(service = Constant.Service.DATA_PARTNER_ACTBALZERO_QUERY)
public class DataPartnerActbalzeroQueryService extends AbstractGateWayService{

    @Override
    protected void setCustomConfigPath() {

        customConfigPath = "config/data/data_partner_actbalzero_query.properties";
    }

    @Override
    protected void initBusinessRequest(Map<String, String> params, HttpServletRequest request) {

        params.put("query_partner", commonProperties.getProperty("partner"));
        params.put("acting_date", customProperties.getProperty("acting_date"));
        params.put("currency_type", commonProperties.getProperty("currency_type"));

    }
}
