package com.mideaepay.demo.service.impl.distribute;

import com.mideaepay.demo.service.AbstractGateWayService;
import com.mideaepay.demo.service.ServiceAnnotation;
import com.mideaepay.demo.utils.Constant.Service;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

/**
 * 特别声明：demo代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写，并非一定要使用该代码。该代码仅供参考！！！
 * 定向资金释放查询
 *
 * @author harvey
 * @date 2020/8/31
 * @email husy7@midea.com
 */
@ServiceAnnotation(service = Service.PROJECT_ACT_RELEASE_QUERY)
public class ProjectActReleaseQueryService extends AbstractGateWayService{

    @Override
    protected void setCustomConfigPath() {

        customConfigPath = "config/distribute/project_act_release_query.properties";
    }

    @Override
    protected void initBusinessRequest(Map<String, String> params, HttpServletRequest request) {

        params.put("out_trade_no", customProperties.getProperty("out_trade_no"));
        params.put("terminal_type", customProperties.getProperty("terminal_type"));

    }

}
