package com.mideaepay.demo.utils;

public class Constant {
    
    public static final String SUCC_RESULT_CODE = "1001";
    
    public static class Service {
        
        private Service() {
        }
        public static final String TRADE_PAY_RECEIVE = "trade_pay_receive";
        public static final String TRADE_REFUND = "trade_refund";
        public static final String BATCH_TRADE_PAY_WECHATPAY = "batch_trade_pay_wechatpay";
        public static final String BATCH_TRADE_PAY_ALIPAY = "batch_trade_pay_alipay";
        public static final String TRADE_PAY_ALIPAY = "trade_pay_alipay";
        public static final String TRADE_PAY_WECHATPAY = "trade_pay_wechatpay";
        public static final String TRADE_PAY_CASHIER = "trade_pay_cashier";
        public static final String BATCH_TRADE_PAY_CASHIER = "batch_trade_pay_cashier";
        public static final String TRADE_QUERY = "trade_query";
        public static final String BATCH_TRADE_QUERY = "batch_trade_query";
        public static final String TRADE_REFUND_QUERY = "trade_refund_query";
        
        
        public static final String AUTH_TOKEN = "auth_token";
        public static final String BATCH_FILE_DISTRIBUTE_PAY = "batch_file_distribute_pay";
        public static final String BATCH_FILE_DISTRIBUTE_QUERY = "batch_file_distribute_query";
        public static final String BATCH_DISTRIBUTE_PAY = "batch_distribute_pay";
        public static final String BATCH_DISTRIBUTE_QUERY = "batch_distribute_query";
        public static final String DISTRIBUTE_PAY = "distribute_pay";
        public static final String DISTRIBUTE_QUERY = "distribute_query";
        public static final String DISTRIBUTE_MULTI_PAY = "distribute_multi_pay";
        public static final String DISTRIBUTE_MULTI_QUERY = "distribute_multi_pay_query";
        public static final String PROJECT_ACT_RELEASE = "project_act_release";
        public static final String PROJECT_ACT_RELEASE_QUERY = "project_act_release_query";


        public static final String DATA_PARTNER_ACTBAL_QUERY = "data_partner_actbal_query";
        public static final String DATA_DOWNLOAD_RECEIPT = "data_download_receipt";
        public static final String DATA_PARTNER_INFO_QUERY = "data_partner_info_query";
        public static final String DATA_PARTNER_ACTBALZERO_QUERY = "data_partner_actbalzero_query";
        public static final String DATA_USER_INFO_QUERY = "data_user_info_query";
        public static final String DATA_USER_CARDS_QUERY = "data_user_cards_query";
        public static final String DATA_USER_CARDBIND_PREPARE = "data_user_cardbind_prepare";
        public static final String DATA_USER_CARDBIND_CONFIRM = "data_user_cardbind_confirm";
        public static final String DATA_USER_REPAYCARD_SETTING = "data_user_repaycard_setting";
        public static final String DATA_USER_REALNAME_AUTH = "data_user_realname_auth";
        public static final String DATA_USER_CARD_UNBIND = "data_user_card_unbind";
        public static final String DATA_USER_PAYPWD_CHECK = "data_user_paypwd_check";





    }
    
    /** 请求接口出入参 **/
    public static class Key {
        
        private Key() {
        }
        
        public static final String RESULT_CODE = "result_code";
        
        public static final String RESULT_INFO = "result_info";
        
        public static final String SIGN_TYPE = "sign_type";
        
        public static final String SIGN_ATTR = "sign_attr";
        
        public static final String SIGN = "sign";
        
        public static final String SIGN_TIME = "sign_time";
        
        public static final String SIGN_KEY = "sign_key";
        
        public static final String CHARSET = "charset";
        
        public static final String PARTNER = "partner";
        
        public static final String SERVICE = "service";
        
        public static final String VERSION = "version";
        
        public static final String INPUT_CHARSET = "input_charset";
        
        public static final String LANGUAGE = "language";
        
        public static final String TERMINAL_TYPE = "terminal_type";
        
        public static final String CHANNEL_TYPE = "channel_type";
        
        public static final String CURRENCY_TYPE = "currency_type";
        
        public static final String CURRENCY = "currency";
        
        public static final String CUR_TYPE = "cur_type";
        
        public static final String CUR_ID = "cur_id";
        
        public static final String IP = "ip";
        
        public static final String MAC = "mac";
        
        public static final String IMEI = "imei";
        
        public static final String SESSION_ID = "session_id";
        
        public static final String DEVICE_VERSION = "device_version";
        
        public static final String CPU_INFO = "cpu_info";
        
        public static final String LONGITUDE = "longitude";
        
        public static final String LATITUDE = "latitude";
        
        public static final String SALT = "salt";
        
        public static final String QUERY_TYPE = "query_type";
        
        public static final String OUT_PARTNER_ID = "out_partner_id";
        
        public static final String QUERY_PARTNER = "query_partner";
        
        public static final String P = "p";
        
        public static final String STATUS = "status";
        
        public static final String USER_ID = "user_id";
        
        public static final String VERIFYRESULT = "verifyResult";
        
        public static final String FACEURL = "faceUrl";
        
        public static final String TOKEN = "token";
        
        public static final String TOKEN_TIME = "token_time";
        
        public static final String REMARK = "remark";
        
        public static final String FACE_SEND_NO = "face_send_no";
        
        public static final String RESULT = "result";
        
        public static final String COMPANY_INFO = "company_info";
        
        public static final String BOSS_INFO = "boss_info";
        
        public static final String CONTACT_INFO = "contact_info";
        
        public static final String ACCT_INFO = "acct_info";
        
        public static final String COMPLETE_STATUS = "complete_status";
        
        public static final String COMPLETE_STATUS_INFO = "complete_status_info";
        
        public static final String COMPLETE_TIME = "complete_time";
        
        public static final String REFUND_STATUS = "refund_status";
        
        public static final String REFUND_STATUS_INFO = "refund_status_info";
        
        public static final String TRADE_STATUS = "trade_status";
        
        public static final String TRADE_INFO = "trade_info";
        
        public static final String TRADE_STATUS_INFO = "trade_status_info";
        
        public static final String TRADE_ACCEPT_TIME = "trade_accept_time";
        
        public static final String REFUND_ACCEPT_TIME = "refund_accept_time";
        
        public static final String ARRIVAL_STATUS = "arrival_status";
        
        public static final String ARRIVAL_TIME = "arrival_time";
        
        public static final String ORDER_TIME = "order_time";
        
        public static final String PAY_TIME = "pay_time";
        
        public static final String PRODUCT_RECV_STATUS = "product_recv_status";
        
        public static final String PRODUCT_RECV_TIME = "product_recv_time";
        
        public static final String OUT_USER_ACCOUNT = "out_user_account";
        
        public static final String TRADE_NO = "trade_no";
        
        public static final String OUT_TRADE_NO = "out_trade_no";
        
        public static final String OUT_TRADE_TIME = "out_trade_time";
        
        public static final String OUT_REFUND_NO = "out_refund_no";
        
        public static final String OUT_REFUND_TIME = "out_refund_time";
        
        public static final String REFUND_NO = "refund_no";
        
        public static final String RISK_PARAMS = "risk_params";
        
        public static final String PROFIT_PARAMS = "profit_params";
        
        public static final String PROFIT_TYPE = "profit_type";
        
        public static final String PROFIT_VALUE = "profit_value";
        
        public static final String PROFIT_PERCENT = "profit_percent";
        
        public static final String PROFIT_LOGIN_NAME = "profit_login_name";
        
        public static final String PROFIT_USER_TYPE = "profit_user_type";
        
        public static final String PROFIT_WAY = "profit_way";
        
        public static final String PROFIT_PLAT_PARTNER = "profit_plat_partner";
        
        public static final String PAYER_PLAT_PARTNER = "payer_plat_partner";
        
        public static final String PARTNER_NAME = "partner_name";
        
        public static final String TRADE_PARTNER = "trade_partner";
        
        public static final String PLAT_PARTNER = "plat_partner";
        
        public static final String PLAT_ID = "plat_id";
        
        public static final String PAYER_USER_TYPE = "payer_user_type";
        
        public static final String PAYER_TYPE = "payer_type";
        
        public static final String PAYER_PAY_TYPE = "payer_pay_type";
        
        public static final String PAYER_LOGIN_NAME = "payer_login_name";
        
        public static final String PAYER_NAME = "payer_name";
        
        public static final String PAYER_CERT_TYPE = "payer_cert_type";
        
        public static final String PAYER_CERT_NO = "payer_cert_no";
        
        public static final String PAYEE_LOGIN_NAME = "payee_login_name";
        
        public static final String LOGIN_NAME = "login_name";
        
        public static final String REAL_NAME = "real_name";
        
        public static final String REAL_NAME_FLAG = "real_name_flag";
        
        public static final String PAY_CYPHER_FLAG = "pay_pwd_flag";
        
        public static final String MOBILE_NO = "mobile_no";
        
        public static final String CAUSE = "cause";
        
        public static final String RETURN_TYPE = "return_type";
        
        public static final String RETURN_URL = "return_url";
        
        public static final String NOTIFY_URL = "notify_url";
        
        public static final String NOTIFY_TIME = "notify_time";
        
        public static final String CREATE_TIME = "create_time";
        
        public static final String TOTAL_FEE = "total_fee";
        
        public static final String TOTAL_AMOUNT = "total_amount";
        
        public static final String TOTAL_COUNT = "total_count";
        
        public static final String AUDIT_REJECT_COUNT = "audit_reject_count";
        
        public static final String AUDIT_PASS_COUNT = "audit_pass_count";
        
        public static final String AUDIT_REJECT_REASON = "audit_reject_reason";
        
        public static final String SUCCESS_AMOUNT = "success_amount";
        
        public static final String SUCCESS_COUNT = "success_count";
        
        public static final String FAIL_COUNT = "fail_count";
        
        public static final String PAY_AMOUNT = "pay_amount";
        
        public static final String PAY_EXPIRE_TIME = "pay_expire_time";
        
        public static final String REFUND_AMOUNT = "refund_amount";
        
        public static final String SUBJECT = "subject";
        
        public static final String BODY = "body";
        
        public static final String ATTACH = "attach";
        
        public static final String IS_GUARANTEE = "is_guarantee";
        
        public static final String IS_VIRTUAL_PRODUCT = "is_virtual_product";
        
        public static final String LIMIT_ACCT_TYPE = "limit_acct_type";
        
        public static final String LIMIT_TYPE = "limit_type";
        
        public static final String LIMIT_PAY = "limit_pay";
        
        public static final String BAR_CODE = "bar_code";
        
        public static final String PRODUCT_TYPE = "product_type";
        
        public static final String PRODUCT_NAME = "product_name";
        
        public static final String PRODUCT_INFO = "product_info";
        
        public static final String PRODUCT_COUNT = "product_count";
        
        public static final String PRODUCT_PRICE = "product_price";
        
        public static final String TRADE_PURPOSE = "trade_purpose";
        
        public static final String SUB_PRODUCT_COUNT = "sub_product_count";
        
        public static final String SUB_PRODUCT_PRICE = "sub_product_price";
        
        public static final String SUB_TRADE_PURPOSE = "sub_trade_purpose";
        
        public static final String SUB_PRODUCT_NAME = "sub_product_name";
        
        public static final String SUB_PRODUCT_INFO = "sub_product_info";
        
        public static final String PARTNER_APP_ID = "partner_app_id";
        
        public static final String APP_ID = "app_id";
        
        public static final String OPEN_ID = "open_id";
        
        public static final String RETURN_SCRIPT = "return_script";
        
        public static final String REFERENCE_URL = "reference_url";
        
        public static final String NETUNION_FLAG = "netunion_flag";
        
        public static final String PAY_CHANNEL = "pay_channel";
        
        public static final String WEIXIN_URL = "weixin_url";
        
        public static final String PAY_INFO = "pay_info";
        
        public static final String TRADE_TYPE = "trade_type";
        
        public static final String SUB_OUT_TRADE_NO = "sub_out_trade_no";
        
        public static final String SUB_TRADE_NO = "sub_trade_no";
        
        public static final String PAYER_PARTNER = "payer_partner";
        
        public static final String PAYEE_TYPE = "payee_type";
        
        public static final String PAYEE_NAME = "payee_name";
        
        public static final String NOTIFY_MOBILE = "notify_mobile";
        
        public static final String PAYEE_BANK_ACCT_NO = "payee_bank_acct_no";
        
        public static final String PAYEE_ACCT_TYPE = "payee_acct_type";
        
        public static final String PAYEE_ACCT_PROVINCE = "payee_acct_province";
        
        public static final String PAYEE_ACCT_CITY = "payee_acct_city";
        
        public static final String PAYEE_SUB_BANK_NAME = "payee_sub_bank_name";
        
        public static final String PAYEE_SUB_BANK_CODE = "payee_sub_bank_code";
        
        public static final String PAYEE_PARTNER = "payee_partner";
        
        public static final String PAYEE_BIND_NO = "payee_bind_no";
        
        public static final String REPLACE_NAME = "replace_name";
        
        public static final String BANK_ATTACH = "bank_attach";
        
        public static final String SUB_ATTACH = "sub_attach";
        
        public static final String SUB_ORDERS = "sub_orders";
        
        public static final String PAYER_ACT_TYPE = "payer_act_type";
        
        public static final String BIND_NO = "bind_no";
        
        public static final String REQ_SEQ_NO = "req_seq_no";
        
        public static final String PAYER_BANK_ACCT_NO = "payer_bank_acct_no";
        
        public static final String PAYER_ACCT_TYPE = "payer_acct_type";
        
        public static final String PAYER_ACCT_CITY = "payer_acct_city";
        
        public static final String PAYER_ACCT_PROVINCE = "payer_acct_province";
        
        public static final String PAYER_SUB_BANK_NAME = "payer_sub_bank_name";
        
        public static final String PAYER_BANK_MOBILE = "payer_bank_mobile";
        
        public static final String PAYER_CVV = "payer_cvv";
        
        public static final String PAYER_EXPIRE_DATE = "payer_expire_date";
        
        public static final String PAYER_BIND_NO = "payer_bind_no";
        
        public static final String OUT_PARTNER = "out_partner";
        
        public static final String PARTNER_TYPE = "partner_type";
        
        public static final String PARTNER_LICENCE_NO = "partner_licence_no";
        
        public static final String COMPANY_NAME = "company_name";
        
        public static final String BOSS_NAME = "boss_name";
        
        public static final String BOSS_IDENTITY_NO = "boss_identity_no";
        
        public static final String BANK_TYPE = "bank_type";
        
        public static final String BANK_NAME = "bank_name";
        
        public static final String CARD_TAIL = "card_tail";
        
        public static final String CARD_TYPE = "card_type";
        
        public static final String BANK_CHANNEL = "bank_channel";
        
        public static final String SWIFT_CODE = "swift_code";
        
        public static final String REPAYMENT_FLAG = "repayment_flag";
        
        public static final String BANKS = "banks";
        
        public static final String CASH_ACT_BAL = "cash_act_bal";
        
        public static final String CASH_FRZ_BAL = "cash_frz_bal";
        
        public static final String TRADE_ACT_BAL = "trade_act_bal";
        
        public static final String TRADE_FRZ_BAL = "trade_frz_bal";
        
        public static final String ESCROW_ACT_BAL = "escrow_act_bal";
        
        public static final String ESCROW_FRZ_BAL = "escrow_frz_bal";
        
        public static final String TOTAL_BAL = "total_bal";
        
        public static final String ACTING_DATE = "acting_date";
        
        public static final String ACT_BALANCE = "act_balance";
        
        public static final String ESCROW_BALANCE = "escrow_balance";
        
        public static final String CERT_TYPE = "cert_type";
        
        public static final String CERT_NO = "cert_no";
        
        public static final String MOBILE = "mobile";
        
        public static final String AREA = "area";
        
        public static final String ADDRESS = "address";
        
        public static final String OCCUPATION = "occupation";
        
        public static final String EXPIRE_DATE = "expire_date";
        
        public static final String USER_STATE = "user_state";
        
        public static final String PRIMARY_ACT_STATE = "primary_act_state";
        
        public static final String PLAT_PARTNER_KEY = "plat_partner_key";
        
        public static final String BANK_CARD = "bank_card";
        
        public static final String MESSAGE_ID = "message_id";
        
        public static final String VERIFY_CODE = "verify_code";
        
        public static final String ERROR_CODE = "error_code";
        
        public static final String ERROR_INFO = "error_info";
        
        public static final String ACT_TYPE = "act_type";
        
        public static final String ACT_LIST = "act_list";
        
        public static final String PARTNER_ISTATE = "partner_istate";
        
        public static final String BUSINESS_NO = "business_no";
        
        public static final String BUSINESS_TYPES = "business_types";
        
        public static final String PROFIT_SHARING = "profit_sharing";
        
        public static final String PROFIT_SHARING_DETAILS = "profit_sharing_details";
        
        public static final String DESC = "desc";
        
        public static final String RECEIVERS = "receivers";
        
        public static final String USER_TYPE = "user_type";
        
        public static final String USER_LOGIN_NAME = "user_login_name";
        
        public static final String OUT_PROFIT_NO = "out_profit_no";
        
        public static final String PROFIT_NO = "profit_no";
        
        public static final String PROFIT_SHARING_TYPE = "profit_sharing_type";
        
        public static final String RELEASE = "release";
        
        public static final String PROFIT_SHARING_ACCEPT_TIME = "profit_sharing_accept_time";
        
        public static final String RELEASE_AMOUNT = "release_amount";
        
        public static final String OUT_PROFIT_TIME = "out_profit_time";
        
        public static final String PLAT_NAME = "plat_name";
        
        public static final String DISTRIBUTE_NO = "distribute_no";
        
        public static final String PROJECT_NO = "project_no";
        
        public static final String MULTI_DETAILS = "multi_details";
        
        public static final String PAYER_PROJECT_FLAG = "payer_project_flag";
        
        public static final String PAYEE_PROJECT_FLAG = "payee_project_flag";
        
        public static final String RELEASE_PARTNER = "release_partner";
        
        public static final String ACT_BAL = "act_bal";
        
        public static final String FRZ_BAL = "frz_bal";
        
        public static final String ACT_INFO_LIST = "act_info_list";
        
        public static final String AUDIT_STATUS = "audit_status";
        
        public static final String AUDIT_STATUS_INFO = "audit_status_info";
        
        public static final String BATCH_AUDIT_STATUS = "batch_audit_status";
        
        public static final String BATCH_AUDIT_STATUS_INFO = "batch_audit_status_info";
    }
    
}
