package com.mideaepay.demo.service;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Documented
@Retention(RUNTIME)
@Target(TYPE)
public @interface ServiceAnnotation {
    
    // 美的支付接口service的值
    String service();
    // demo是否只生成form表单,不请求美的支付
    boolean httpForm() default false;
}
