package com.mideaepay.demo.service.impl.common;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.mideaepay.demo.service.AbstractGateWayService;
import com.mideaepay.demo.service.ServiceAnnotation;
import com.mideaepay.demo.utils.TradeUtils;
import com.mideaepay.demo.utils.WebUtils;
import com.mideaepay.demo.utils.Constant.Key;
import com.mideaepay.demo.utils.Constant.Service;

/**
 * 特别声明：demo代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写，并非一定要使用该代码。该代码仅供参考！！！
 */
@ServiceAnnotation(service = Service.AUTH_TOKEN)
public class AuthTokenService extends AbstractGateWayService{

    
    @Override
    protected void setCustomConfigPath() {
    }

    @Override
    protected void initBusinessRequest(Map<String, String> params, HttpServletRequest request) {
        params.put(Key.TERMINAL_TYPE, "PC");
       
        params.put(Key.LOGIN_NAME, "test01");
        params.put(Key.TOKEN_TIME, TradeUtils.getOutTradeTime());
        params.put(Key.IP, WebUtils.getRemoteIp(request));
        params.put(Key.SESSION_ID, "SESSION_ID");
    }
}
