package com.mideaepay.demo.service.impl.data;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.mideaepay.demo.service.AbstractGateWayService;
import com.mideaepay.demo.service.ServiceAnnotation;
import com.mideaepay.demo.utils.Constant.Service;

/**
 * 特别声明：demo代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写，并非一定要使用该代码。该代码仅供参考！！！
 */
@ServiceAnnotation(service = Service.DATA_PARTNER_ACTBAL_QUERY)
public class DataPartnerActbalQuerySerivce extends AbstractGateWayService {

    @Override
    protected void setCustomConfigPath() {
        
    }

    @Override
    protected void initBusinessRequest(Map<String, String> params, HttpServletRequest request) {
        params.put("terminal_type", "ITG");
        params.put("currency_type", commonProperties.getProperty("currency_type"));
        params.put("query_partner", commonProperties.getProperty("partner"));
        
    }
    
}
